import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/cascader-select/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import ActionSheet from "@dft-vue-2-opentiny/vue-action-sheet";
import Button from "@dft-vue-2-opentiny/vue-button";
import { IconClose } from "@dft-vue-2-opentiny/vue-icon";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["update:modelValue", "update:visible"],
  props: [].concat(props, ["modelValue", "options", "visible", "cycleRoll", "valueType", "valueField", "textField", "disabled", "textColor"]),
  components: {
    TinyActionSheet: ActionSheet,
    TinyButton: Button,
    IconClose: IconClose()
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("tiny-action-sheet", {
    attrs: {
      "data-tag": "tiny-mobile-cascader-select",
      "content-class": "rounded-t-lg bg-white",
      "visible": _vm.state.actionSheetVisible
    },
    on: {
      "update:visible": function updateVisible($event) {
        _vm.state.actionSheetVisible = $event;
      }
    }
  }, [_c("div", {
    staticClass: "w-full h-max rounded-t-lg bg-white select-none overflow-hidden",
    on: {
      "click": function click($event) {
        $event.stopPropagation();
      }
    }
  }, [_c("div", {
    ref: "selectPanel",
    class: ["w-full h-max grid", {
      "grid-cols-1": _vm.state.selectorCount === 1
    }, {
      "grid-cols-2": _vm.state.selectorCount === 2
    }, {
      "grid-cols-3": _vm.state.selectorCount === 3
    }]
  }, _vm._l(_vm.state.selectorCount, function(v, i) {
    return _c("div", {
      key: "s" + i,
      staticClass: "h-40",
      staticStyle: {
        "transform": "translate3d(0, 0, 0)"
      },
      on: {
        "touchstart": function touchstart($event) {
          $event.preventDefault();
          return _vm.handleTouchstart($event);
        },
        "touchend": function touchend($event) {
          $event.preventDefault();
          return function($event2) {
            return _vm.handleTouchend($event2, i);
          }($event);
        },
        "touchmove": function touchmove($event) {
          $event.preventDefault();
          return function($event2) {
            return _vm.throttledHandleTouchmove($event2, i);
          }($event);
        }
      }
    }, _vm._l(_vm.state["selector" + i].visibleOptions, function(option, j) {
      var _vm$m, _vm$m2, _vm$m3, _vm$m4;
      return _c("div", {
        key: "s" + i + "o" + j,
        class: _vm.m("w-full h-8 flex justify-center items-center cursor-pointer relative", {
          "text-xs": _vm.styleOpt(option) === 2
        }, {
          "text-sm": _vm.styleOpt(option) === 1
        }, {
          "text-base": _vm.styleOpt(option) === 0
        }, (_vm$m = {}, _vm$m[_vm.textColor.third || "text-color-icon-placeholder"] = _vm.styleOpt(option) === 2, _vm$m), (_vm$m2 = {}, _vm$m2[_vm.textColor.second || "text-color-icon-secondary"] = _vm.styleOpt(option) === 1, _vm$m2), (_vm$m3 = {}, _vm$m3[_vm.textColor.first || "text-color-icon-focus"] = _vm.styleOpt(option) === 0, _vm$m3), (_vm$m4 = {}, _vm$m4[_vm.textColor.disabled || "text-color-icon-disabled"] = _vm.statusOpt(option) === "disabled", _vm$m4)),
        attrs: {
          "data-tag": "tiny-mobile-cs-option",
          "date-status": _vm.statusOpt(option),
          "data-option": option[_vm.valueField]
        }
      }, [_vm._t("option", [_vm._v(" " + _vm._s(option[_vm.textField]) + " ")], null, {
        i,
        j,
        option
      })], 2);
    }), 0);
  }), 0), _c("div", {
    staticClass: "w-full h-11 flex justify-center items-center"
  }, [_c("tiny-button", {
    staticClass: "bg-color-icon-focus h-10 flex justify-center items-center",
    attrs: {
      "type": "primary",
      "size": "large",
      "disabled": _vm.state.confirmDisabled
    },
    on: {
      "click": _vm.confirm
    }
  }, [_vm._v(_vm._s(_vm.t("ui.button.confirm")))])], 1)])]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobile as default
};
